package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.LzydNotice;

/**
 * 公告模块Service接口
 * 
 * @author ruoyi
 * @date 2021-04-07
 */
public interface ILzydNoticeService 
{
    /**
     * 查询公告模块
     * 
     * @param id 公告模块ID
     * @return 公告模块
     */
    public LzydNotice selectLzydNoticeById(Long id);

    /**
     * 查询公告模块列表
     * 
     * @param lzydNotice 公告模块
     * @return 公告模块集合
     */
    public List<LzydNotice> selectLzydNoticeList(LzydNotice lzydNotice);

    /**
     * 新增公告模块
     * 
     * @param lzydNotice 公告模块
     * @return 结果
     */
    public int insertLzydNotice(LzydNotice lzydNotice);

    /**
     * 修改公告模块
     * 
     * @param lzydNotice 公告模块
     * @return 结果
     */
    public int updateLzydNotice(LzydNotice lzydNotice);

    /**
     * 批量删除公告模块
     * 
     * @param ids 需要删除的公告模块ID
     * @return 结果
     */
    public int deleteLzydNoticeByIds(Long[] ids);

    /**
     * 删除公告模块信息
     * 
     * @param id 公告模块ID
     * @return 结果
     */
    public int deleteLzydNoticeById(Long id);
}
